
<div style="margin-left: 13%; margin-top: 5%;"  >
  <div style="margin-left: 75%;">
    <button mat-raised-button color="primary"  (click)="openDialog()">Registrar empleado</button>
  </div>
  <mat-form-field style="width:800px; margin-left: 30px;">
    <input matInput (keyup)="applyFilter($event.target)" placeholder="Filter" />
  </mat-form-field>
<a href="http://"></a>
    <table mat-table [dataSource]="dataSource" style="width: 1500px;">
  
      <ng-container matColumnDef="firstName">
        <th mat-header-cell *matHeaderCellDef> Primer nombre </th>
        <td mat-cell *matCellDef="let element"> {{element.firstName}} </td>
      </ng-container>
  
      <ng-container matColumnDef="otherName">
        <th mat-header-cell *matHeaderCellDef> Otro nombre </th>
        <td mat-cell *matCellDef="let element"> {{element.otherName}} </td>
      </ng-container>
  
      <ng-container matColumnDef="firstSurname">
        <th mat-header-cell *matHeaderCellDef> Primer apellido </th>
        <td mat-cell *matCellDef="let element"> {{element.firstSurname}} </td>
      </ng-container>
  
      <ng-container matColumnDef="secondSurname">
        <th mat-header-cell *matHeaderCellDef> Segundo apellido </th>
        <td mat-cell *matCellDef="let element"> {{element.secondSurname}} </td>
      </ng-container>

      <ng-container matColumnDef="typeIdentification">
        <th mat-header-cell *matHeaderCellDef> Tipo de identificación </th>
        <td mat-cell *matCellDef="let element"> {{element.typeIdentification.description}} </td>
      </ng-container>

      <ng-container matColumnDef="numberIdentification">
        <th mat-header-cell *matHeaderCellDef> Número de identificación </th>
        <td mat-cell *matCellDef="let element"> {{element.numberIdentification}} </td>
      </ng-container>

      <ng-container matColumnDef="country">
        <th mat-header-cell *matHeaderCellDef> País </th>
        <td mat-cell *matCellDef="let element"> {{element.country}} </td>
      </ng-container>

      <ng-container matColumnDef="email">
        <th mat-header-cell *matHeaderCellDef> Email </th>
        <td mat-cell *matCellDef="let element"> {{element.email}} </td>
      </ng-container>

      <ng-container matColumnDef="status">
        <th mat-header-cell *matHeaderCellDef> Estado </th>
        <td mat-cell *matCellDef="let element"> {{element.status == true ? 'Activo' : 'Inactivo'}} </td>
      </ng-container>

      <ng-container matColumnDef="actions">
        <th mat-header-cell *matHeaderCellDef> Acciones </th>
        <td mat-cell *matCellDef="let element"> 
          
         <input type="image" src="../../assets/icons/edit.png" value="editar" (click)="openDialogEdit(element)">
         <input type="button" type="image" src="../../assets/icons/delete.png" value="eliminar" (click)="deleteEmployee(element.id)"> 
        </td>
      </ng-container>

  
      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>
  <div style="margin-left: 5%; margin-top: 2%;">
    <mat-paginator style="margin-right: 15%;" [pageSizeOptions]="[10]"
                   showFirstLastButtons a
                   aria-label="Select page of periodic elements">
    </mat-paginator>
  </div>
  </div>


  